# Uses of Class
org.eclipse.net4j.signal.confirmation.ConfirmationPrompt

Packages that use ConfirmationPrompt
Package
Description
org.eclipse.net4j.signal.confirmation
Reusable implementation of a server-to-client confirmation signal and related API.

## Uses of ConfirmationPrompt in org.eclipse.net4j.signal.confirmation

Methods in org.eclipse.net4j.signal.confirmation that return ConfirmationPrompt
Modifier and Type
Method
Description
`protected final ConfirmationPrompt`
ConfirmationIndication.`getPrompt()`
`static ConfirmationPrompt`
ConfirmationPrompt.`read(org.eclipse.net4j.util.io.ExtendedDataInput in)`
Constructors in org.eclipse.net4j.signal.confirmation with parameters of type ConfirmationPrompt
Modifier
Constructor
Description
``
`ConfirmationRequest(SignalProtocol<?> protocol, short signalID, String name, ConfirmationPrompt prompt)`
``
`ConfirmationRequest(SignalProtocol<?> protocol, short signalID, ConfirmationPrompt prompt)`
``
`ConfirmationRequest(SignalProtocol<?> protocol, Enum<?> literal, ConfirmationPrompt prompt)`